<?php
include ('../../config.php');
$pgTitle = $vitals->designation . " Lecture 26 Asynchronicity";
$pgLevel = 2;

include ('../../ztools/common_allfuns.php');
include ('../../ztools/common_headstart.php');
?>
</head>
<?php
include ('../../ztools/common_navigation.php');
?>
<!-- Start contents of main page here. -->

<div id="contents">

	<h2>Asynchronity Made Manifest</h2>

	<p>This first example shows how timing of AJAX events may, if you wish,
		influence a page's contents. It also shows how to correctly create
		customized AJAX callback functions.</p>
	<p>
		The second example is <strong>a broken example</strong>. It illustrates a
		subtle aspect of variable scoping in JavaScript. This is example
		presented as a cautionary tale of now not to write simple correct AJAX
		code.
	</p>
	<ul>
		<li><a href="ex01/lec26ex01.php" target="_blank">Animal Farm.</a></li>
		<li><a href="ex02/lec26ex02.php" target="_blank">Scope Out the Broken
				Animal Farm.</a></li>
	</ul>
	<p>
		There is a <a href="../lec26.zip">Zip File</a> containing these
		examples.
	</p>
</div>
<!-- End of contents -->
<?php include('../../ztools/common_terminate.php'); ?>
